summaryrefslogtreecommitdiff
path: root/yarn.tests/two-no-thens.script
diff options
context:
space:
mode:
Diffstat (limited to 'yarn.tests/two-no-thens.script')
-rwxr-xr-xyarn.tests/two-no-thens.script23
1 files changed, 23 insertions, 0 deletions
diff --git a/yarn.tests/two-no-thens.script b/yarn.tests/two-no-thens.script
new file mode 100755
index 0000000..a6a67fd
--- /dev/null
+++ b/yarn.tests/two-no-thens.script
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -eu
+
+
+cat <<EOF > "$DATADIR/1.yarn"
+ SCENARIO valid scenario
+ GIVEN statement 1
+ THEN statement 2
+
+ SCENARIO invalid scenario
+ GIVEN statement 1
+
+ IMPLEMENTS GIVEN statement (\d)
+ true
+
+ IMPLEMENTS THEN statement (\d)
+ true
+
+
+EOF
+
+./run-yarn "$DATADIR/1.yarn"